Package csb :: Module build :: Class SubversionHandler

[frames] | no frames]

# Class SubversionHandler

source code

         object --+
                  |
    RevisionHandler --+
                      |
                     SubversionHandler

Instance Methods

__init__(self, path, sc=`'``svn``'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

RevisionInfo

read(self) Return the current revision information. | source code

Inherited from `RevisionHandler`: `write` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `RevisionHandler`: `path`, `sc` Inherited from `object`: `__class__`

Method Details

### __init__(self, path, sc=`'``svn``'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `path` - a local checkout path to be examined
  - `sc` - name of the source control program
Overrides: object.__init__
  (inherited documentation)

### read(self)

source code

Return the current revision information.

Returns: RevisionInfo
Overrides: RevisionHandler.read
  (inherited documentation)